Package org.apache.tomcat.websocket.pojo

## Class PojoPathParam

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoPathParam

-     public class PojoPathParam
      extends java.lang.Object

  Stores the parameter type and name for a parameter that needs to be passed to an onXxx method of `Endpoint`. The name is only present for parameters annotated with `PathParam`. For the `Session` and `Throwable` parameters, `getName()` will always return `null`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PojoPathParam​(java.lang.Class<?> type, java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `java.lang.Class<?>` | `getType()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoPathParam

          public PojoPathParam​(java.lang.Class<?> type,
                               java.lang.String name)
                        throws DeploymentException

      Throws:
        `DeploymentException`

  - ### Method Detail

    - #### getType

          public java.lang.Class<?> getType()

    - #### getName

          public java.lang.String getName()